Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.recordio
Class RecordWriterFactoryPrefilter

    java.lang.Object
      com.servingxml.components.recordio.RecordPipelineAppenderPrefilter
          com.servingxml.components.recordio.RecordWriterFactoryPrefilter

All Implemented Interfaces:
  RecordPipelineAppender, RecordWriterFactory

    public class RecordWriterFactoryPrefilter

extends RecordPipelineAppenderPrefilter
implements RecordWriterFactory

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`EMPTY_ARRAY`

Constructor Summary
`RecordWriterFactoryPrefilter(RecordWriterFactory recordWriterFactory, ParameterDescriptor[] parameterDescriptors)`

Method Summary
`RecordWriter` | `createRecordWriter(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.RecordPipelineAppenderPrefilter
`appendToRecordPipeline, createRecordPipeline`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordPipelineAppender
`appendToRecordPipeline, createRecordPipeline`

Constructor Detail

### RecordWriterFactoryPrefilter

    public RecordWriterFactoryPrefilter(RecordWriterFactory recordWriterFactory,
                                        ParameterDescriptor[] parameterDescriptors)

Method Detail

### createRecordWriter

    public RecordWriter createRecordWriter(ServiceContext context,
                                           Flow flow)

  Specified by:
    `createRecordWriter` in interface `RecordWriterFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD